Summary: 	GStreamer Streaming media framework player
Name: 		gstreamer-player
Version: 	0.4.0
Release: 	1

License: 	LGPL
Group: 		Applications/Multimedia
Source: 	http://gstreamer.net/releases/%{version}/src/gst-player-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires: 	libxml2
Requires: 	gtk2
Requires: 	glib2
Requires:	gstreamer >= 0.4.0
Requires:	gstreamer-colorspace
Requires:	gstreamer-avi
Requires:	gstreamer-mpeg
Requires:	gstreamer-mad
Requires:	gstreamer-vorbis
Requires:	gstreamer-oss
Requires:	gstreamer-xvideosink
Requires:	libgnomeui
BuildRequires: 	gtk2-devel
BuildRequires: 	glib2-devel
BuildRequires:	gstreamer-devel >= 0.4.0
BuildRequires:	libgnomeui-devel
# until libxml2-devel requires zlib-devel, we need to do this
BuildRequires:  zlib-devel
BuildRequires:	gettext

%description
This package contains the GStreamer media player.

%prep
%setup -n gst-player-%{version}
%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
## not doing the libtoolize thing because we don't really need it
## note that we have configure.in because of intltoolize needing it
## and thus libtoolize gets triggered
## %{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force} ; \
./configure \
  --prefix=%{_prefix} \
  --exec-prefix=%{_exec_prefix} \
  --bindir=%{_bindir} \
  --sbindir=%{_sbindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --libexecdir=%{_libexecdir} \
  --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --enable-debug \
  --with-configdir=/etc/gstreamer \
  --disable-tests --disable-examples --disable-debug-color \
  --enable-docs-build
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
else
  make
fi

%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_bindir}/gst-player
#%{_bindir}/gst-player-view
%{_includedir}/gst/gst-player-%{version}/play/*.h
%{_includedir}/gst-player-%{version}/gst/*.h
%{_libdir}/*.so*
%{_libdir}/gst/*.so*
#%{_libdir}/bonobo/servers/Gst-Player-View.server
# %{_mandir}/man1/gstmediaplay.*
%{_datadir}/applications/gst-player.desktop
%{_datadir}/pixmaps/gst-player/*.png
#%{_datadir}/gnome-2.0/ui/gst-player-view-ui.xml
# %{_datadir}/locale/*/*/*

%changelog
* Mon Jul 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- comment out the bonobo and nautilus stuff until it works properly
* Sun Jul 07 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added the needed plugins as Requirements, apt and RC will want this
* Sat Jun 29 2002 Christian Schaller <Uraeus@linuxrising.org>
-Updated with latest changes
* Wed May 15 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Added Nautilus view and i18n stuff
* Fri May 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- re-added new pixmaps
- went back to %configure, feels nicer
* Tue Feb 12 2002 Benjamin Otte <in7y118@public.uni-hamburg.de>
- removed pixmaps, they are statically linked now
* Tue Feb 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- changed location of pixmaps
* Sun Feb 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from other spec file
